Bug 56913 - need to add commands for serial printers
need to add commands for serial printers
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-29 18:09 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:29:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-29 18:09:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:0.9.4)
Gecko/20011019 Netscape6/6.2

Description of problem:
printconf-gui will not allow for special command to be inserted into
a particular printer's configuration.  This is especially annoying
when dealing with serial printers that need both a "br#" and an "ms="
command line.

Printconf-gui need to be modified so that "Custom" or "extra" commands
can be added to a printer's configuration.

Or, modify printconf-gui to add serial support with options for
baud rate, XON/XOFF, CRTSCTS, sane, etc. (There are billions of them:
see "man stty".)

Or, if that is too much trouble to program, let us put them in 
ourself with custom entries (my first suggestion).

Many thanks,

--Tony
aewell@gbis.com

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. configure a serial printer in printconf-gui (local
printer = "lp=/dev/ttyS3")
2. press apply
3. check your /etc/printcap. Note that "br#" and "ms=" are missing

Actual Results:  noprinter|lp3|ttyS3:\
	:sh:\
	:ml=0:\
	:mx=0:\
	:sd=/var/spool/lpd/no:\
	:lp=/dev/ttyS3:\
	:lpd_bounce=true:\
	:if=/usr/share/printconf/mf_wrapper:



Expected Results:  noprinter|lp3|ttyS3:\
	:sh:\
	:ml=0:\
	:mx=0:\
	:sd=/var/spool/lpd/no:\
	:lp=/dev/ttyS3:\
        :br#9600:\
	:ms=sane,ixon,ixoff:\
	:lpd_bounce=true:\
	:if=/usr/share/printconf/mf_wrapper:



Additional info:
Comment 1 Need Real Name 2001-12-07 19:30:51 EST
Hi All,

   I am finding I need the ability to add a custom line more than ever.  Just
had a problem with an unattended printer running out of paper and dropping
print jobs.  It was cured with "send_try=0" in the /etc/printcap.  I need
the ability to add custom lines like this in printconf-gui.

Many thanks,
--Tony
aewell@gbis.com
Comment 2 Bill Nottingham 2006-08-07 16:06:00 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 13:29:15 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.